<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/content_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/custom_margin"
    android:paddingLeft="@dimen/custom_margin"
    android:paddingRight="@dimen/custom_margin"
    android:paddingTop="@dimen/custom_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context="cpm.com.gskmtorange.MainActivity"
    tools:showIn="@layout/app_bar_main">

    <androidx.cardview.widget.CardView
        xmlns:card_view="http://schemas.android.com/apk/res-auto"
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        card_view:cardBackgroundColor="@color/white"
        card_view:cardCornerRadius="12dp" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <!-- ViewPager + Dots -->
            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="300dp"
                android:background="@android:color/transparent">

                <androidx.viewpager2.widget.ViewPager2
                    android:id="@+id/viewPager"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/transparent"/>
                <!-- ✅ Custom Dots -->
            </FrameLayout>
            <LinearLayout
                android:id="@+id/dotsLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_gravity="bottom|center_horizontal"
                android:layout_marginBottom="10dp"/>

            <ImageView
                android:id="@+id/img_main"
                android:layout_width="200dp"
                android:layout_height="150dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:visibility="gone"
                android:src="@drawable/gsklogo"
                />

            <WebView
                android:id="@+id/webview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/custom_margin"
                android:visibility="gone">
            </WebView>

        </LinearLayout>

    </androidx.cardview.widget.CardView>
</RelativeLayout>
